Summary: A document formatting system.
Name: groff

# To build this package without XFree86, define this to 0.
%global xditview 1
%global momorel 3
Version: 1.19
Release: %{momorel}m
License: GPL
Group: Applications/Publishing
URL: http://www.gnu.org/directory/groff.html

%NoSource 0 ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz c12bf574120df33ec8c18d92703e099e

Source2: README.A4
%global S_README_A4 %{S:2}

Source3: mandocj.tar.gz
%global S_mandocj_tar_gz %{S:3}

Source4: man-pages-ja-GNU_groff-20000115.tar.gz
%global Sn_man_pages_ja_GNU_groff_20000115_tar_gz 4

Source6: hyphen.cs
%global S_hyphen_cs %{S:6}

Patch0: groff-1.19-japanese.patch
Patch1: groff-1.19-info.patch

BuildPrereq: perl >= 5.8.2
%if %{xditview}
BuildPrereq: XFree86-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: netpbm-progs

PreReq: info
Requires: mktemp
Obsoletes: groff-tools

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more.

Groff can also be used to format man pages. If you are going to use
groff with the X Window System, you will also need to install the
groff-gxditview package.
#'

%package perl
Summary: Parts of the groff formatting system that require Perl.
Group: Applications/Publishing

%description perl
The groff-perl package contains the parts of the groff text processor
package that require Perl. These include the afmtodit font processor
for creating PostScript font files, the grog utility that can be used
to automatically determine groff command-line options, and the
troff-to-ps print filter.

%if %{xditview}
%package gxditview
Summary: An X previewer for groff text processor output.
Group: Applications/Publishing
Requires: XFree86

%description gxditview
Gxditview displays the groff text processor's output on an X Window
System display.
#'
%endif

%prep
%setup -q -a %{Sn_man_pages_ja_GNU_groff_20000115_tar_gz}
%patch0 -p1
%patch1 -p1

cp %{SOURCE2} .

%build
PATH=$PATH:%{_prefix}/X11R6/bin
autoheader-2.53 -f
autoconf-2.53 -f
%configure --enable-japanese
%make

(
  cd doc
  makeinfo groff.texinfo
)

%if %{xditview}
(
  cd src/xditview
  xmkmf
  %make
)
%endif

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

PATH=$PATH:%{_prefix}/X11R6/bin
%__mkdir_p %{buildroot}%{_prefix}
%makeinstall
%if %{xditview}
%makeinstall -C src/xditview DESTDIR=%{buildroot}
%endif

%__rm -rf documentation
%__mv %{buildroot}%{_datadir}/doc documentation

%__ln_s s.tmac   %{buildroot}%{_datadir}/%{name}/%{version}/tmac/gs.tmac
%__ln_s mse.tmac %{buildroot}%{_datadir}/%{name}/%{version}/tmac/gmse.tmac
%__ln_s m.tmac   %{buildroot}%{_datadir}/%{name}/%{version}/tmac/gm.tmac
%__ln_s troff    %{buildroot}%{_prefix}/bin/gtroff
%__ln_s tbl      %{buildroot}%{_prefix}/bin/gtbl
%__ln_s pic      %{buildroot}%{_prefix}/bin/gpic
%__ln_s eqn      %{buildroot}%{_prefix}/bin/geqn
%__ln_s neqn     %{buildroot}%{_prefix}/bin/gneqn
%__ln_s refer    %{buildroot}%{_prefix}/bin/grefer
%__ln_s lookbib  %{buildroot}%{_prefix}/bin/glookbib
%__ln_s indxbib  %{buildroot}%{_prefix}/bin/gindxbib
%__ln_s soelim   %{buildroot}%{_prefix}/bin/gsoelim
%__ln_s soelim   %{buildroot}%{_prefix}/bin/zsoelim
%__ln_s nroff    %{buildroot}%{_prefix}/bin/gnroff

# Build system is compressing man-pages
function link_manpage()
{
  from=$1
  to=$2
  cat > %{buildroot}%{_mandir}/man1/${to} <<EOF
.so man1/${from}
EOF
}
link_manpage eqn.1 geqn.1
link_manpage indxbib.1 gindxbib.1
link_manpage lookbib.1 glookbib.1
link_manpage nroff.1 gnroff.1
link_manpage pic.1 gpic.1
link_manpage refer.1 grefer.1
link_manpage soelim.1 gsoelim.1
link_manpage soelim.1 zsoelim.1
link_manpage tbl.1 gtbl.1
link_manpage troff.1 gtroff.1

%__install -m 0644 %{S_hyphen_cs} \
  %{buildroot}%{_datadir}/%{name}/%{version}/tmac/hyphen.cs

# remove
rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/groff %{_infodir}/dir
exit 0

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/groff %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc BUG-REPORT ChangeLog* NEWS PROBLEMS README* TODO VERSION
%doc documentation/%{name}/%{version}/examples
%doc documentation/%{name}/%{version}/html
%doc documentation/%{name}/%{version}/meintro.*
%doc documentation/%{name}/%{version}/meref.*
%doc documentation/%{name}/%{version}/pic.*
%{_bindir}/addftinfo
%{_bindir}/eqn
%{_bindir}/eqn2graph
%{_bindir}/geqn
%{_bindir}/gindxbib
%{_bindir}/glookbib
%{_bindir}/gneqn
%{_bindir}/gnroff
%{_bindir}/gpic
%{_bindir}/grefer
%{_bindir}/grn
%{_bindir}/grodvi
%{_bindir}/groff
%{_bindir}/groffer
%{_bindir}/grolbp
%{_bindir}/grolj4
%{_bindir}/grops
%{_bindir}/grotty
%{_bindir}/gsoelim
%{_bindir}/gtbl
%{_bindir}/gtroff
%{_bindir}/hpftodit
%{_bindir}/indxbib
%{_bindir}/lkbib
%{_bindir}/lookbib
%{_bindir}/neqn
%{_bindir}/nroff
%{_bindir}/pfbtops
%{_bindir}/pic
%{_bindir}/pic2graph
%{_bindir}/post-grohtml
%{_bindir}/pre-grohtml
%{_bindir}/refer
%{_bindir}/soelim
%{_bindir}/tbl
%{_bindir}/tfmtodit
%{_bindir}/troff
%{_bindir}/zsoelim
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_infodir}/%{name}*
%{_mandir}/man1/addftinfo.1*
%{_mandir}/man1/eqn.1*
%{_mandir}/man1/eqn2graph.1*
%{_mandir}/man1/geqn.1*
%{_mandir}/man1/gindxbib.1*
%{_mandir}/man1/glookbib.1*
%{_mandir}/man1/gnroff.1*
%{_mandir}/man1/gpic.1*
%{_mandir}/man1/grefer.1*
%{_mandir}/man1/grn.1*
%{_mandir}/man1/grodvi.1*
%{_mandir}/man1/groff.1*
%{_mandir}/man1/groffer.1*
%{_mandir}/man1/grohtml.1*
%{_mandir}/man1/grolbp.1*
%{_mandir}/man1/grolj4.1*
%{_mandir}/man1/grops.1*
%{_mandir}/man1/grotty.1*
%{_mandir}/man1/gsoelim.1*
%{_mandir}/man1/gtbl.1*
%{_mandir}/man1/gtroff.1*
%{_mandir}/man1/hpftodit.1*
%{_mandir}/man1/indxbib.1*
%{_mandir}/man1/lkbib.1*
%{_mandir}/man1/lookbib.1*
%{_mandir}/man1/neqn.1*
%{_mandir}/man1/nroff.1*
%{_mandir}/man1/pfbtops.1*
%{_mandir}/man1/pic.1*
%{_mandir}/man1/pic2graph.1*
%{_mandir}/man1/refer.1*
%{_mandir}/man1/soelim.1*
%{_mandir}/man1/tbl.1*
%{_mandir}/man1/tfmtodit.1*
%{_mandir}/man1/troff.1*
%{_mandir}/man1/zsoelim.1*
%{_mandir}/man5/groff_font.5*
%{_mandir}/man5/groff_out.5*
%{_mandir}/man5/groff_tmac.5*
%{_mandir}/man7/ditroff.7*
%{_mandir}/man7/groff.7*
%{_mandir}/man7/groff_char.7*
%{_mandir}/man7/groff_diff.7*
%{_mandir}/man7/groff_man.7*
%{_mandir}/man7/groff_mdoc.7*
%{_mandir}/man7/groff_me.7*
%{_mandir}/man7/groff_mm.7*
%{_mandir}/man7/groff_mmse.7*
%{_mandir}/man7/groff_mom.7*
%{_mandir}/man7/groff_ms.7*
%{_mandir}/man7/groff_trace.7*
%{_mandir}/man7/groff_www.7*
%{_mandir}/man7/roff.7*

%files perl
%defattr(-,root,root)
%{_bindir}/afmtodit
%{_bindir}/grog
%{_bindir}/mmroff
%{_mandir}/man1/afmtodit.1*
%{_mandir}/man1/grog.1*
%{_mandir}/man1/mmroff.1*

%if %{xditview}
%files gxditview
%defattr(-,root,root)
%{_prefix}/X11R6/bin/gxditview
%{_prefix}/X11R6/lib/X11/app-defaults/GXditview
%endif

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.19-3m)
- remove Epoch from BuildPrereq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (1.19-2m)
- revised spec for enabling rpm 4.2.

* Sun Feb 22 2004 Kenta MURATA <muraken2@nifty.com>
- (1.19-1m)
- version 1.19.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.18-4m)
- rebuild against perl-5.8.2

* Wed Mar  5 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.18-3m)
- change URL

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.18-2m)
- rebuild against perl-5.8.0

* Sat Oct 12 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.18-1m)
- rewound to 1.18
- sync with redhat-8.0(groff-1.18-6)

* Wed Oct 09 2002 Kenta MURATA <muraken2@nifty.com>
- (1.18.1-1m)
- version up.

* Fri May 31 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.17.2-4k)
- Added macro which enables building this package without XFree86.

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (1.17.2-2k)
- version up.
- for printconf.

* Wed Aug 15 2001 Mike A. Harris <mharris@redhat.com> 1.17.2-3
- Added symlink from soelim to zsoelim, fixing bug (#51037)

* Tue Aug 14 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- fixes security bug #50494

* Sun Aug 12 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.17.2
- strerror patch is not needed anymore
- apply newest debian patch

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Tue Apr 03 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not change groff to use /etc/papersize. Deleted the changes
  in the debian patch.

* Fri Mar 30 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add hyphen.cs - file generated as described in Czech how-to, 6.7

* Wed Mar 28 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- updated to newest debian patch to get nippon/ascii8 support
  better working

* Fri Feb  9 2001 Crutcher Dunnavant <crutcher@redhat.com>
- switch to printconf filtration rules

* Tue Jan 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- change app-defaults to /usr/X11R6/lib/X11/app-defaults/
  and do not mark it as config file

* Thu Dec 14 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese patch from RHL7J

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to bug-fix release 1.16.1

* Fri Jul 28 2000 Tim Waugh <twaugh@redhat.com>
- Install troff-to-ps.fpi in /usr/lib/rhs-printfilters (#13634).

* Wed Jul 19 2000 Jeff Johnson <jbj@redhat.com>
- rebuild with gcc-2.96-41.

* Mon Jul 17 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to fix miscompilation manifesting in alpha build of tcltk.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- move mmroff to -perl

* Wed Jun  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build
- FHS
- 1.16

* Sun May 14 2000 Jeff Johnson <jbj@redhat.com>
- install tmac.mse (FWIW tmac.se looks broken) to fix dangling symlink (#10757).
- add README.A4, how to set up for A4 paper (#8276).
- add other documents to package.

* Thu Mar  2 2000 Jeff Johnson <jbj@redhat.com>
- permit sourcing on regular files within cwd tree (unless -U specified).

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- fix incorrectly installed tmac.m file (#8362).

* Mon Feb  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- check if build system is sane again

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary
- man pages are compressed. This is ugly.

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- put the binaries actually in the package *oops*

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- split perl components into separate subpackage

* Wed Dec 29 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1 patch for xditview (#992)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- fix makefiles to work with bash2

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use g++ for C++ code

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- manhattan and buildroot

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- made xdefaults file a config file

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- split perl components into separate subpackage

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 1.11a
- added safe troff-to-ps.fpi

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- removed troff-to-ps.fpi for security reasons.

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

